Package org.firebirdsql.management

## Class PageSizeConstants

- java.lang.Object
- - org.firebirdsql.management.PageSizeConstants

    public final class PageSizeConstants
    extends java.lang.Object

Constants for page size supported by Firebird.

Note that some page size might not be supported by all Firebird version.

Since:
  3.0
Author:
  Mark Rotteveel

### Field Summary

Fields
`static int` `SIZE_16K`
`static int` `SIZE_1K`
`static int` `SIZE_2K`
`static int` `SIZE_32K` Firebird 4 or higher
`static int` `SIZE_4K`
`static int` `SIZE_8K`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `requireValidPageSize​(int pageSize)` Checks if `pageSize` is a valid page size value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SIZE_1K

    public static final int SIZE_1K

See Also:
  Constant Field Values

#### SIZE_2K

    public static final int SIZE_2K

See Also:
  Constant Field Values

#### SIZE_4K

    public static final int SIZE_4K

See Also:
  Constant Field Values

#### SIZE_8K

    public static final int SIZE_8K

See Also:
  Constant Field Values

#### SIZE_16K

    public static final int SIZE_16K

See Also:
  Constant Field Values

#### SIZE_32K

    public static final int SIZE_32K

Firebird 4 or higher

See Also:
  Constant Field Values

### Method Detail

#### requireValidPageSize

    public static int requireValidPageSize​(int pageSize)

Checks if `pageSize` is a valid page size value.

Actual support of a page size depends on the Firebird version, even if a page size is valid according to this method, it can still be invalid for the actual Firebird version used.

Parameters:
  `pageSize` - Page size to check
Returns:
  `pageSize` (unmodified)
Throws:
  `java.lang.IllegalArgumentException` - if the page size is not a valid value
Since:
  3.0.5